Breaking news
Read our blog to learn why privacy matters. And don't forget to get an encrypted mailbox yourself!

Updated browser support policy benefits users and developers alike.

Limiting supported browsers leads to better security and faster development.

2021-05-26
Tutanota's updated browser policy limits any supported browser to the two latest versions. This post explains why limiting browsers increases your security and what browsers Tutanota officially supports.

Browser support policy

With the update of our browser support policy, we have limited browser support to the two latest versions of all supported browsers. Not supporting older browser versions comes with a lot of benefits - not just for the user, but also for Tutanota and our team of developers.

Most importantly, only supporting up-to-date browsers increases everyone's security. Outdated browsers are no longer tested for bugs and vulnerabilities. In fact, the browsers might have been updated to fix known vulnerabilities so always using the latest version makes sure that no known vulnerabilities may be exploited.

But Tutanota in general also benefits from supporting only up-to-date browsers: These browsers come with new features that we may use to improve Tutanota. Plus, we reduce our effort in testing and bug fixing as we do not have to find work-arounds for browser-related bugs that were fixed with an already available browser update.

In addition, the reduction of supported browsers lets us build a smaller and faster app as we do not have to include 'polyfills', which are only needed for older browser versions.

Supported browsers

As of May 26th 2021 we support the following:

  • Chrome desktop (including Android WebView, Opera and new Edge): two latest versions
  • Firefox desktop: two latests versions + ESR (Extended Support Release)
  • Safari desktop: two latest versions
  • Safari iOS: three latest major versions

As Microsoft is phasing out its support for Internet Explorer entirely, Tutanota also does not support this browser anymore. If you are required to use the Microsoft environment, please use Edge.

We recommend privacy-focused browsers such as Firefox. You can find more recommendations on privacy-focused alternatives to Google and Co here.

We changed mobile OS support to the following:

  • Android 6 or newer
  • iOS 11 or newer

For Android that change became necessary also because Android 5 does not support Elliptic Curve certificates.

You can also check our FAQ to get an always updated list of supported browsers.

LOAD COMMENTS